View Issue Details

IDProjectCategoryView StatusLast Update
0033049LazarusLCLpublic2018-02-21 21:55
ReporterGiovanni SearaAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformDesktopOSWindowsOS Version10
Product Version1.8Product Build 
Target VersionFixed in Version 
Summary0033049: Pressing ENTER on the TEdit with a default button selects all TEdit characters
DescriptionWhen you type fast in a TEdit and press ENTER without giving a time interval in relation to the last entered character, instead of executing the action of the default button selects all the contents of the TEdit.
Steps To Reproduce1 - Add a TButton to a TForm.
2 - Check this button as default and configure the click event.
3 - Add a TEdit in the TForm.
4 - Type fast in the TEdit and press ENTER shortly.
TagsNo tags attached.
Fixed in Revision57301
LazTarget-
Widgetset
Attached Files

Relationships

related to 0033196 closedMichl after rev 57301 on windows not work OnKeyDown for press Enter 

Activities

Giovanni Seara

2018-01-18 14:33

reporter  

Video_1516267882.wmv (1,061,555 bytes)

Serge Anvarov

2018-01-18 23:54

reporter   ~0105917

I confirm. Lazarus 1.8.0 x64, Windows 7.

Michl

2018-02-14 23:03

developer   ~0106392

Last edited: 2018-02-14 23:04

View 2 revisions

You can also slowly type. If you haven't released the previous key, you got that behaviour.

Simple test:
- press a letter key
- press Enter
- release the letter key
- release Enter
--> now the text is marked, not the default button event is called.

The behaviour was the same on Win32, Linux GTK2, Linux Qt.

Fixed in trunk revision 57301. Please test and close if ok.

Giovanni Seara

2018-02-19 20:22

reporter   ~0106462

But if there is a default event, pressing ENTER the event should be run and not select all the text TEdit.
Why does TEdit have this behavior? Is this behavior not incorrect?

Michl

2018-02-19 21:34

developer   ~0106464

> But if there is a default event, pressing ENTER the event should be run and not select all the text TEdit.

Yes. It is fixed in Lazarus trunk. Please test this issue with it and close this bug report if it is now working correct.

Michl

2018-02-20 00:21

developer  

test.zip (1,799 bytes)

Giovanni Seara

2018-02-21 21:55

reporter   ~0106524

It is fixed in Lazarus trunk.

Issue History

Date Modified Username Field Change
2018-01-18 14:33 Giovanni Seara New Issue
2018-01-18 14:33 Giovanni Seara File Added: Video_1516267882.wmv
2018-01-18 23:54 Serge Anvarov Note Added: 0105917
2018-02-14 21:00 Michl LazTarget => -
2018-02-14 21:00 Michl Assigned To => Michl
2018-02-14 21:00 Michl Status new => feedback
2018-02-14 21:07 Michl Status feedback => assigned
2018-02-14 23:03 Michl Fixed in Revision => 57301
2018-02-14 23:03 Michl Note Added: 0106392
2018-02-14 23:03 Michl Status assigned => resolved
2018-02-14 23:03 Michl Resolution open => fixed
2018-02-14 23:04 Michl Status resolved => assigned
2018-02-14 23:04 Michl Resolution fixed => reopened
2018-02-14 23:04 Michl Note Edited: 0106392 View Revisions
2018-02-14 23:04 Michl Status assigned => resolved
2018-02-14 23:04 Michl Resolution reopened => fixed
2018-02-19 08:24 Ondrej Pokorny Relationship added related to 0033196
2018-02-19 20:22 Giovanni Seara Note Added: 0106462
2018-02-19 21:34 Michl Note Added: 0106464
2018-02-20 00:21 Michl File Added: test.zip
2018-02-21 21:55 Giovanni Seara Note Added: 0106524
2018-02-21 21:55 Giovanni Seara Status resolved => closed